Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365847 - foreman-debug does not preserve timestamps of log files
Summary: foreman-debug does not preserve timestamps of log files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Foreman Debug
Version: 6.2.0
Hardware: All
OS: Linux
high
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Shimon Shtein
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2016-08-10 10:43 UTC by Julio Entrena Perez
Modified: 2019-04-01 20:27 UTC (History)
11 users (show)

Fixed In Version: foreman-1.15.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17770 None None None 2016-12-19 20:06:02 UTC

Description Julio Entrena Perez 2016-08-10 10:43:25 UTC
Description of problem:
The foreman plugin of sosreport does not preserve the timestamps of the log files.

Version-Release number of selected component (if applicable):
sos-3.2-35.el7_2.3

How reproducible:
Always

Steps to Reproduce:
1. Run sosreport with the foreman plugin enabled
2. Check the timestamps of the files at sos_commands/foreman/foreman-debug/var/log/tomcat
3.

Actual results:
$ ls -gG
total 2260
-rw-r--r--. 1  15379 Aug  5 08:46 catalina.2015-12-21.log
-rw-r--r--. 1  15411 Aug  5 08:46 catalina.2015-12-22.log
-rw-r--r--. 1  78313 Aug  5 08:46 catalina.2015-12-23.log
-rw-r--r--. 1  47212 Aug  5 08:46 catalina.2015-12-24.log
-rw-r--r--. 1  94245 Aug  5 08:46 catalina.2015-12-29.log
-rw-r--r--. 1  15737 Aug  5 08:46 catalina.2015-12-31.log
-rw-r--r--. 1  47163 Aug  5 08:46 catalina.2016-01-27.log
-rw-r--r--. 1  62955 Aug  5 08:46 catalina.2016-01-28.log
-rw-r--r--. 1  15690 Aug  5 08:46 catalina.2016-02-10.log
-rw-r--r--. 1  56829 Aug  5 08:46 catalina.2016-02-16.log
-rw-r--r--. 1 110275 Aug  5 08:46 catalina.2016-03-01.log
-rw-r--r--. 1  31350 Aug  5 08:46 catalina.2016-03-03.log
-rw-r--r--. 1  48059 Aug  5 08:46 catalina.2016-03-16.log
-rw-r--r--. 1  47455 Aug  5 08:46 catalina.2016-04-06.log
-rw-r--r--. 1  62993 Aug  5 08:46 catalina.2016-04-15.log
-rw-r--r--. 1 293767 Aug  5 08:46 catalina.2016-04-19.log
-rw-r--r--. 1  15683 Aug  5 08:46 catalina.2016-04-22.log
-rw-r--r--. 1  78975 Aug  5 08:46 catalina.2016-04-25.log
-rw-r--r--. 1 220029 Aug  5 08:46 catalina.2016-05-04.log
-rw-r--r--. 1  15805 Aug  5 08:46 catalina.2016-05-10.log
-rw-r--r--. 1  47093 Aug  5 08:46 catalina.2016-05-11.log
-rw-r--r--. 1 126007 Aug  5 08:46 catalina.2016-05-17.log
-rw-r--r--. 1  15738 Aug  5 08:46 catalina.2016-05-18.log
-rw-r--r--. 1  31362 Aug  5 08:46 catalina.2016-05-26.log
-rw-r--r--. 1  47180 Aug  5 08:46 catalina.2016-06-14.log
-rw-r--r--. 1  49010 Aug  5 08:46 catalina.2016-07-08.log
-rw-r--r--. 1  46999 Aug  5 08:46 catalina.2016-07-13.log
-rw-r--r--. 1  15692 Aug  5 08:46 catalina.2016-07-14.log
-rw-r--r--. 1 260007 Aug  5 08:46 catalina.2016-07-27.log
-rw-r--r--. 1  40708 Aug  5 08:46 catalina.2016-07-28.log
-rw-r--r--. 1    280 Aug  5 08:46 catalina.2016-07-29.log
-rw-r--r--. 1  40206 Aug  5 08:46 catalina.2016-07-30.log
-rw-r--r--. 1  60118 Aug  5 08:46 catalina.2016-08-02.log
-rw-r--r--. 1   9712 Aug  5 08:46 catalina.2016-08-03.log
-rw-r--r--. 1  10050 Aug  5 08:46 catalina.2016-08-04.log
-rw-r--r--. 1   9676 Aug  5 08:46 catalina.2016-08-05.log


Expected results:
Timestamps of files collected by foreman plugin are preserved.

Additional info:

Comment 1 Bryn M. Reeves 2016-08-10 10:50:23 UTC
These files are collected by foreman-debug, a component of foreman, and not by the sos plugin itself.

Comment 2 Julio Entrena Perez 2016-08-10 11:12:55 UTC
Version-Release number of selected component (if applicable):
foreman-debug-1.11.0.49-1.el7sat

Comment 4 Zach Huntington-Meath 2016-12-19 19:51:40 UTC
Created redmine issue http://projects.theforeman.org/issues/17770 from this bug

Comment 5 pm-sat@redhat.com 2017-04-20 14:15:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17770 has been resolved.

Comment 6 Shimon Shtein 2017-08-16 09:08:37 UTC
Verified:

[root@example.com tomcat]# ll /var/log/tomcat/
total 16
-rw-r--r--. 1 tomcat tomcat 10102 Aug 15 13:33 catalina.2017-08-15.log
-rw-rw----. 1 tomcat tomcat    28 Jun  8 16:40 catalina.out
-rw-r--r--. 1 tomcat tomcat     0 Aug 15 13:33 host-manager.2017-08-15.log
-rw-r--r--. 1 tomcat tomcat     0 Aug 15 13:33 localhost.2017-08-15.log
-rw-r--r--. 1 tomcat tomcat     0 Aug 15 13:33 manager.2017-08-15.log
[root@example.com tomcat]# ls -gG
total 12
-rw-r--r--. 1 10102 Aug 15 13:33 catalina.2017-08-15.log
[root@example.com tomcat]# pwd
/var/tmp/sosreport-ss-20170816045606/sos_commands/foreman/foreman-debug/var/log/tomcat


Sat version: 6.3.0-16.0.beta.el7sat

Comment 7 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.